IsEventFrom (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest.object

## Class IsEventFrom

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeDiagnosingMatcher<java.util.EventObject>
    - - org.hamcrest.object.IsEventFrom

- All Implemented Interfaces:
    Matcher<java.util.EventObject>, SelfDescribing

      public class IsEventFrom
      extends TypeSafeDiagnosingMatcher<java.util.EventObject>

  Tests if the value is an event announced by a specific object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsEventFrom(java.lang.Class<?> eventClass, java.lang.Object source)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(Description description)` Generates a description of the object.
    `static Matcher<java.util.EventObject>` | `eventFrom(java.lang.Class<? extends java.util.EventObject> eventClass, java.lang.Object source)` Creates a matcher of `EventObject` that matches any object derived from eventClass announced by source.
    `static Matcher<java.util.EventObject>` | `eventFrom(java.lang.Object source)` Creates a matcher of `EventObject` that matches any EventObject announced by source.
    `boolean` | `matchesSafely(java.util.EventObject item, Description mismatchDescription)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsEventFrom

          public IsEventFrom(java.lang.Class<?> eventClass,
                             java.lang.Object source)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.util.EventObject item,
                                       Description mismatchDescription)

      Description copied from class: `TypeSafeDiagnosingMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeDiagnosingMatcher<java.util.EventObject>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### eventFrom

          public static Matcher<java.util.EventObject> eventFrom(java.lang.Class<? extends java.util.EventObject> eventClass,
                                                                 java.lang.Object source)

      Creates a matcher of `EventObject` that matches any object derived from eventClass announced by source. For example:

          assertThat(myEvent, is(eventFrom(PropertyChangeEvent.class, myBean)))

      Parameters:
        `eventClass` - the class of the event to match on
        `source` - the source of the event

    - #### eventFrom

          public static Matcher<java.util.EventObject> eventFrom(java.lang.Object source)

      Creates a matcher of `EventObject` that matches any EventObject announced by source. For example:

          assertThat(myEvent, is(eventFrom(myBean)))

      Parameters:
        `source` - the source of the event